# class RSS::Maker::Atom::Feed

### Public Class Methods

new(feed_version="1.0") click to toggle source
Calls superclass method `RSS::Maker::RSSBase::new`

    # File lib/rss/maker/feed.rb, line 8
    def initialize(feed_version="1.0")
      super
      @feed_type = "atom"
      @feed_subtype = "feed"
    end

### Private Instance Methods

make_feed() click to toggle source

    # File lib/rss/maker/feed.rb, line 15
    def make_feed
      ::RSS::Atom::Feed.new(@version, @encoding, @standalone)
    end

setup_elements(feed) click to toggle source

    # File lib/rss/maker/feed.rb, line 19
    def setup_elements(feed)
      setup_channel(feed)
      setup_image(feed)
      setup_items(feed)
    end